Skip to main content
POST
/
api
/
invoices
/
{invoice_uid}
/
request_approval
Request AP invoice approval
curl --request POST \
  --url https://dev.exante.app/api/invoices/{invoice_uid}/request_approval \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "approver_user_ids": [
    "<string>"
  ],
  "send_email": false
}
'
Creates approval requests for one or more approvers and optionally sends them email notifications with one-click approve/reject links. The response includes the updated invoice and the created approval steps.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uid
string<uuid>
required

Invoice UID

Body

application/json
approver_user_ids
string[]
required

User IDs of the approvers.

send_email
boolean
default:false

Whether to send email notifications to approvers.

Response

Approval requested